@import url('pricing-compare.css');
@import url('section-faq.css');
@import url('pricing-switcher.css');
@import url('eiffels-plans.css');

.pricing,
.enterprise-offer,
.pricing-compare,
.main__faq {
  margin-block-end: var(--gap-96);
}

.pricing,
.enterprise-offer,
.pricing-compare,
.main__faq {
  &>h2 {
    max-inline-size: 35ch;
  }

  &>h2+p {
    max-inline-size: 70ch;
    font-size: clamp(var(--font-16), 3.5vw, var(--font-20));
  }
}

:is(.pricing, .pricing-compare, .main__faq)> :is(h2, h2 + p) {
  text-align: center;
  margin-inline: auto;
}

:is(.pricing, .pricing-compare, .main__faq)>h2 {
  padding-block: var(--gap-10) var(--gap-20);
  /* font-size: clamp(var(--font-28), 6vw, var(--font-36)); */
}

.enterprise-offer {
  display: grid;
  row-gap: var(--gap-8);
  padding: var(--gap-24);
  background-color: var(--black);
  border-radius: var(--radius-16);

  & h2 {
    color: var(--white);
  }

  & p {
    padding-block-end: var(--gap-16);
    color: var(--grey-100);
  }

  & .btn {
    inline-size: fit-content;
    margin-inline-start: auto;
  }
}
